Zum Inhalt

Create ItemAttributeTranslations

Create an ItemAttributeTranslation object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/itemAttributeTranslationsWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of itemAttributeTranslationsWebCon object.

Response

If successful, this method returns 201 Created response code and an ItemAttributeTranslation object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/itemAttributeTranslationsWebCon
Content-type: application/json

{
    "languageCode": "DEU",
    "name": "Farbe"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "1c06911a-be36-ee11-a0d1-db6714625734",
    "languageCode": "DEU",
    "name": "Farbe"
}

See also

Tips for working with the APIs
ItemAttributeTranslation
Get ItemAttributeTranslation
Delete ItemAttributeTranslation
Update ItemAttributeTranslation